using System;
using System.Diagnostics;
using System.Text;
using System.Threading.Tasks;

namespace prvi_zadatak
{
    internal class Program
    {
        static void Main(string[] args)
        {
            //input
            string niska = Console.ReadLine();
            char slovo_prvo = niska[0];
            char slovo_drugo = niska[1];
            string[] niska1 = Console.ReadLine().Split();
            int prvi_broj = int.Parse(niska1[0]);
            int drugi_broj = int.Parse(niska1[1]);
            Stopwatch srecno = new Stopwatch();
            srecno.Start();
            string za_dodavanje = "";
            StringBuilder resenje = new StringBuilder();
            if ((prvi_broj - drugi_broj >= 2) || (drugi_broj - prvi_broj >= 2)) { Console.WriteLine("nemoguce"); }

            if((prvi_broj <= 1000) || (drugi_broj <= 1000)){
                if(prvi_broj >= drugi_broj){
                    za_dodavanje += slovo_prvo;
                    za_dodavanje += slovo_drugo;
                    for (int i = 0; i < prvi_broj; i ++) {
                        resenje.Append(za_dodavanje);
                    }
                    if ((prvi_broj + drugi_broj) % 2 == 0) { Console.WriteLine(resenje); }
                    else
                    {
                        resenje.Remove(prvi_broj + drugi_broj, 1);
                        Console.WriteLine(resenje);
                    } 
                }
                else {
                    za_dodavanje += slovo_drugo;
                    za_dodavanje += slovo_prvo;
                    for (int i = 0; i < drugi_broj; i++)
                    {
                        resenje.Append(za_dodavanje);
                    }
                    if ((prvi_broj + drugi_broj) % 2 == 0) { Console.WriteLine(resenje); }
                    else
                    {
                        resenje.Remove(prvi_broj + drugi_broj, 1);
                        Console.WriteLine(resenje);
                    }
                }
            }
            else {
                if (prvi_broj >= drugi_broj)
                {
                    za_dodavanje += slovo_prvo;
                    za_dodavanje += slovo_drugo;
                    za_dodavanje += za_dodavanje;
                    for (int i = 0; i < prvi_broj / 2; i ++)
                    {
                        resenje.Append(za_dodavanje);
                    }
                    if ((prvi_broj + drugi_broj) % 4 == 0) { Console.WriteLine(resenje); }
                    else if((prvi_broj+ drugi_broj) % 4 == 1) {
                        resenje.Append(slovo_prvo);
                        Console.WriteLine(resenje);
                    }
                    else if ((prvi_broj + drugi_broj) % 4 == 2) {
                        resenje.Append(za_dodavanje);
                        Console.WriteLine(resenje);
                    }
                    else {
                        resenje.Append(za_dodavanje);
                        resenje.Append(slovo_prvo);
                        Console.WriteLine(resenje);
                    }
                }
                else
                {
                    za_dodavanje += slovo_drugo;
                    za_dodavanje += slovo_prvo;
                    za_dodavanje += za_dodavanje;
                    for (int i = 0; i < drugi_broj / 2; i ++)
                    {
                        resenje.Append(za_dodavanje);
                    }
                    if ((prvi_broj + drugi_broj) % 4 == 0) { Console.WriteLine(resenje); }
                    else if ((prvi_broj + drugi_broj) % 4 == 1)
                    {
                        resenje.Append(slovo_drugo);
                        Console.WriteLine(resenje);
                    }
                    else if ((prvi_broj + drugi_broj) % 4 == 2)
                    {
                        resenje.Append(za_dodavanje);
                        Console.WriteLine(resenje);
                    }
                    else
                    {
                        resenje.Append(za_dodavanje);
                        resenje.Append(slovo_drugo);
                        Console.WriteLine(resenje);
                    }
                }
            }
            srecno.Stop();
            Console.WriteLine(srecno.ElapsedMilliseconds);
        }
        
    }
}